#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mod
version:              0.2.0.1
visibility:           public
id:                   mod-0.2.0.1-5B9q7n09NKTE2F2rIgmVV2
key:                  mod-0.2.0.1-5B9q7n09NKTE2F2rIgmVV2
license:              MIT
copyright:            2017-2022 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/mod
synopsis:             Fast type-safe modular arithmetic
description:
    <https://en.wikipedia.org/wiki/Modular_arithmetic Modular arithmetic>,
    promoting moduli to the type level, with an emphasis on performance.
    Originally part of the <https://hackage.haskell.org/package/arithmoi arithmoi> package.

category:             Math, Number Theory
abi:                  85dbdeb50258f4c5761e19e0eefd297f
exposed:              True
exposed-modules:      Data.Mod Data.Mod.Word
hidden-modules:       Data.Mod.Compat
import-dirs:          /usr/lib/ghc-9.0.2/site-local/mod-0.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/mod-0.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-mod
hs-libraries:         HSmod-0.2.0.1-5B9q7n09NKTE2F2rIgmVV2
depends:
    base-4.15.1.0 deepseq-1.4.5.0 ghc-bignum-1.1
    primitive-0.7.4.0-GEmDUJD22mHBwXDxBmNo7T
    semirings-0.6-LwZSUYfiGcUH2COB5tq7Uz
    vector-0.13.0.0-AvCgqYhQ3vmCYiPnKivqd

haddock-interfaces:   /usr/share/doc/haskell-mod/html/mod.haddock
haddock-html:         /usr/share/doc/haskell-mod/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

